Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	cross-platform library behind Panorama Tools and many other GUI photo stitchers
Name:      	libpano13
Version:   	2.9.12
Release:   	1
License: 	GPL
URL:		http://panotools.sourceforge.net/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel

%description
The panorama tools are mainly used to build panoramic images from a set of overlapping images. The usability extends beyond "just" building panoramas by far though. You can, for instance, use them to render an average of multiple images to broaden the dynamic range of the images or average out noise. You can also build object movies with them, morph between images and much more.

%package devel
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using %{name}

 

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--sysconfdir=%{_sysconfdir} \
		--localstatedir=%{_localstatedir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.9.12-1
- initial release
